Bug 847513 - Review Request: librasterlite - Support Raster Data Sources within a SpatiaLite DB
Review Request: librasterlite - Support Raster Data Sources within a SpatiaLi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 09:09 EDT by Volker Fröhlich
Modified: 2012-12-20 11:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:25:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Volker Fröhlich 2012-08-12 09:09:56 EDT
Spec URL: http://www.geofrogger.net/review/librasterlite.spec
SRPM URL: http://www.geofrogger.net/review/librasterlite-1.1c-1.fc16.src.rpm
Description:

Library that stores and retrieves huge raster coverages using a
SpatiaLite DBMS. The package also contains CLI management tools.

Fedora Account System Username: volter

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4380461
Comment 1 Lucian Langa 2012-08-16 16:56:32 EDT
I'm not entirely sure this package works properly.
It seems to build fine, but when trying to run any CLI tool (without any parameters) I'm getting, besides the syntax help, strange warnings that doesn't look too good [1]. They seem to come and/or belong to a dependency package (spatialite) and of course it cannot create the required directories (because it doesn't have the necessary permissions.

Fist of all you should investigate if this error comes from this package or not (and if other possibly packages that depend on spatialite are affected).

I've also tried to run this as root and - warnings stopped of course - however an entirely new structure appeared on my filesystem /builddir/build/BUILD/.. etc
This shouldn't have happened, should it ?


[1]

rasterlite_load 
did you forget to set the --db-path argument ?
did you forget to set the --table-name argument ?
did you forget to set the --dir-path OR --file-path argument ?


usage: rasterlite_load ARGLIST
==============================================================
-? or --help                      print this help message
-t or --test                      test only - no actual action
-v or --verbose                   verbose output
-d or --db-path     pathname      the SpatiaLite db path
-T or --table-name  name          DB table name
-D or --dir         dir_path      the DIR path containing GeoTIFF files
-f or --file        file_name     a single GeoTIFF file
-s or --tile-size   num           [default = 512]
-e or --epsg-code   num           [optional: EPSG code]
-i or --image-type  type          [JPEG|PNG|GIF|TIFF]
-q or --quality     num           [default = 75(JPEG)]
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/virtualtext/.libs/virtualtext.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/srsinit/.libs/srs_init.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/shapefiles/.libs/shapefiles.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/virtualshape.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/virtualnetwork.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/virtualspatialindex.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/virtualfdo.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/virtualXL.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/virtualdbf.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/spatialite.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/spatialite/.libs/mbrcache.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_gml.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_kml.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_geoJSON.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_ewkt.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_vanuatu.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_wkt.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_wkb.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_transform.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_shape.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_relations.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_geoscvt.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_geometries.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_geodesic.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_endian.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiageo/.libs/gg_advanced.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiaexif/.libs/gaia_exif.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiaaux/.libs/gg_utf8.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/gaiaaux/.libs/gg_sqlaux.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/.libs/version.gcda:Skip
Comment 2 Volker Fröhlich 2012-08-18 14:12:08 EDT
Thanks a lot for noticing this! I had libspatialite built with coverage profiling, which led to this problem. The current libspatialite build solves it.
Comment 3 Lucian Langa 2012-08-20 16:36:42 EDT
Thank you!

Fixing libspatialite has fixed the warnings in this package and rasterlite cli programs appears to be working just fine now.

I notice that package comes with a test suite. Unfortunately it seems non-functional (it segfaults now), with a little effort it can be made functional - missing files, error checking etc - perhaps you should contact upstream about fixing this and later add the appropriate section in the specfile.

The lack of buildroot and cleaning up suggest you are not going to build this package for EL5, hence no pkgconfig requirement is necessary.

This package is


===========
 APPROVED
===========
Comment 4 Volker Fröhlich 2012-08-22 03:31:31 EDT
Thank you for the review. I already contacted the authors about the failing test.
Comment 5 Volker Fröhlich 2012-10-01 01:44:47 EDT
Brad Hards, who wrote the tests, says, I can ignore the result of check_rastergen. It orginally segfaulted, because it couldn't find jpen50ref.jpg. It still fails afterwards, which is attributed to using libjpegturbo.

I'll check in the package now.
Comment 6 Volker Fröhlich 2012-10-01 02:27:34 EDT
New Package SCM Request
=======================
Package Name: librasterlite
Short Description: Support Raster Data Sources within a SpatiaLite DB
Owners: volter
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-10-01 07:02:22 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-10-01 13:39:51 EDT
librasterlite-1.1c-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/librasterlite-1.1c-2.fc18
Comment 9 Fedora Update System 2012-10-01 16:13:31 EDT
librasterlite-1.1c-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-12-20 11:25:37 EST
librasterlite-1.1c-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.